.. SPDX-License-Identifier: CC-BY-SA-4.0

Components
----------

.. toctree::
   :maxdepth: 2
   :caption: Available components:

   info
   enablestate
   menu
   packages
   config
   daemon
   firewall
   webserver
   frontpage
   domain
   letsencrypt
   users
   staticfiles
   backups
   coturn

Base Classes
^^^^^^^^^^^^

.. autoclass:: plinth.app.Component
   :members:

.. autoclass:: plinth.app.LeaderComponent
   :members:

.. autoclass:: plinth.app.FollowerComponent
   :members:

Other Classes
^^^^^^^^^^^^^

.. autoclass:: plinth.diagnostic_check.DiagnosticCheck
   :members:

.. autoclass:: plinth.diagnostic_check.Result
   :members:
